Qt 5.13 | Resource Compiler (rcc)

Qt 5.13.2 Reference Documentation

# Resource Compiler (rcc)

The `rcc` tool is used to embed resources into a Qt application during the build process. It works by generating a C++ source file containing data specified in a Qt resource (.qrc) file.

Usage:

      rcc [options] <inputs>

RCC accepts the following command line options:

Option | Argument | Description
--- | --- | ---
`-o` | `file` | Write output to `file` rather than to stdout.
`-name` | `name` | Create an external initialization function with `name`.

`-threshold`

`level`

Specifies a threshold `level` (as a percentage) to use when deciding whether to compress a file. If the reduction in the file size is greater than the threshold `level`, it is compressed; otherwise, the uncompressed data is stored instead. The default threshold level is 70%, meaning that compressed files which are 30% or less of their original size are stored as compressed data.

`-compress-algo` | `algorithm` | The algorithm to compress files with. Supported algorithms are `zstd`, `zlib`, and `none`, which respectively mean to compress the content using the Zstandard library, zlib library, and no compression. The default is `zstd` if that library was found at compile time, `zlib` if not.

`-compress`

`level`

Compress input files to the given compression `level`, which is algorithm-dependent. If the algorithm is `zstd`, the valid levels are 1 to 19, with the special values of 0 and -1 meaning `libzstd`'s and `rcc`'s default compressions. If the algorithm is `zlib`, the level is an integer in the range 1 to 9. For both algorithms, level 1 does the least compression but is fastest. Levels 9 or 19 do the most compression but are slowest. To turn off compression, use `-no-compress`. The default value for `level` is -1.

`-root` | `path` | Prefix the resource access path with `path`. The default is no prefix.
`-no-compress` |  | Disable compression.
`-binary` |  | Output a binary file for use as a dynamic resource.
`-version` |  | Display version information.
`-help` |  | Display usage information.
`-t, --temp <file>` |  | Use temporary <file> for big resources.
`--namespace` |  | Turn off namespace macros.
`--verbose` |  | Enable verbose mode.
`--list` |  | Only list .qrc file entries, do not generate code.
`-project` |  | Output a resource file containing all files from the current directory.

See also The Qt Resource System for more information about embedding resources in Qt applications.